* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --color--fondo: #f5f0e8;
    --color--menu: #2a1f0e;
    --color--botones: #c8a97e;
    --color-hover: darkgoldenrod;
}

/*navegacion menu*/
.navegacion {
    display: flex;
    background-color: var(--color--menu);
    justify-content: space-between;
    padding: 0px 16px;
    align-items: center
}

.nav_link a {
    color: var(--color--botones);
    text-decoration: none;
}

ul {
    list-style: none;
    display: flex;
    gap: 25px;
    border: 1px;
    padding: 1%;
    font-size: 20px;
    padding: 8px 16px;
    font-weight: 600;
}

.nav_link :hover {
    color: var(--color-hover);
}

#logo img {
    width: 80px;
    display: flex;
    padding: 5%;
    border: 5px;
    border-radius: 100%;
}

/* fin menu - navegacion */

/*hero*/
.hero {
    background-image: url('../imagenes/hero.png');
    background-position: center;
    min-height: 100vh;/*ocupa toda la pantalla*/
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 60px;/*espacio a los lados para que el texto no quede pegado al borde*/
    border: 5px solid var(--color--fondo);
    background-size: cover;/*imagen de fondo sin deformar*/
}


.hero_subtitulo {
    color: var(--color--botones);
    font-size: 40px;
    letter-spacing: 5px;
    margin: 0px 0;
}

.hero_titulo {
    color: #ffffff;
    font-size: 64px;
    font-weight: 700;
    margin: 0px 0;
}

.hero_titulo span {
    color: var(--color--botones);
    font-style: italic;
}

.hero_descricion {
    color: #cccccc;
    font-size: 32px;
    margin: 0px 0;
}

.hero_boton {
    background-color: var(--color--botones);
    color: #1a0a02;
    padding: 10px 20px;
    text-decoration: none;
    border-radius: 5px;
    font-weight: 700;
    width: fit-content;
}

.hero_boton:hover{
    color: var(--color-hover);
}

/*fin hero*/

/*footer y texto*/
.titulo {
    font-size: 55px;
    font-weight: 700;
    margin: 16px 0;
    color: var(--color--menu);
    text-align: center;
    font-style: italic;
}

.direccion {
    background-color: var(--color--menu);
    color: darkgoldenrod;
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-style: italic;
    text-align: center;
    padding: 14px 0px;
    border: 10px;
}

body {
    background-color: var(--color--fondo);
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

main {
    flex: 1;
    padding-bottom: 20px;
}

/*video*/
.video video {
    width: 100%;
    height: 250px;
    object-fit: cover;
}

.multimedia {
    display: flex;
    gap: 15px;
    justify-content: center
}

.video_boton {
    background-color: var(--color--botones);
    color: #1a0a02;
    padding: 10px;
    text-decoration: none;
    border-radius: 5px;
    font-weight: 700;
    width: fit-content; /*no se desborde*/
    display: block;
    margin: 24px auto 0;
    margin-bottom: 5px;
}

.video_boton:hover{
    color: var(--color-hover);
}

html,
body {
    overflow-x: hidden;
}

/*contenedor producto*/

.menu img {
    width: 280px;
    border-radius: 19px;
}

.catalogo {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 50px;
    padding: 0px 100px;
}

.catalogo_titulo{

    color: var(--color--menu);
    font-weight: 800;
    font-size:40px;
    line-height: 5px;
    padding: 40px 99px;
    font-family:Lora;
}

.menu p, h3{
     font-size:20px;
     font-family:Lora;
}

.catalogo img {
  width: 100%;
  transition: transform 0.2s ease;
}

.catalogo img:hover {
  transform: translateY(-8px);
}

.menu:hover{
    color: var(--color-hover);
}

/*quienes somos*/

.quienes_somos img{
width: 50%;
padding: 5px 0px;
border-radius: 19px;
}

.quienes_somos{
    padding: 5px 85px;
    font-weight: 500;
    font-size: 20px;
}

/*formulario*/

.formulario{
   display: flex;
   justify-content: center;
   background-color: #645e24;
   width: 400px;
   padding: 15px 100px;
   margin: 0px auto;
   border-radius: 15%;
}
  input, textarea {
      width: 250px;           
      font-size: 14px;
      padding: 5px 15px;
      font-family: Georgia, serif;
      border: 2px solid #aaa;
    }

    label{
        font-family:Lora;
        font-weight: 600;
        font-size: 20px;
    }

/*gritch*/

.evidencia img:hover {
  animation: glitchMini 0.3s infinite;
  box-shadow: 0 0 8px var(--color--menu);
}

/*chat bot*/

#chatbot  {  
   display: flex;
   justify-content: center;  
}
@keyframes glitchMini {
  0%  { transform: translate(0); filter: none; }
  20% { transform: translate(-2px, 1px); filter: hue-rotate(90deg); }
  40% { transform: translate(2px, -1px); filter: hue-rotate(-90deg); }
  60% { transform: translate(-1px, 0); filter: saturate(3); }
  80% { transform: translate(2px, 2px); filter: hue-rotate(45deg); }
  100%{ transform: translate(0); filter: none; }
}

/*celular*/
@media(max-width:768px) {
    .navegacion {
        flex-direction: column;
        align-items: center;
        gap: 10px;
        padding: 4px 8px;
    }

    ul {
        gap: 10px;
        font-size: 15px;
    }

    .multimedia {
        padding: 0 16px;
    }

    .catalogo {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    text-align: justify;
    padding: 50px;
    }

    .catalogo_titulo{
    padding: 20px 10px; 
}

.quienes_somos img{
    width: 350px;
    padding: 20px 10px; 
    border-radius: 19px;
}

.formulario{
    width: 300px;
}

.quienes_somos{
    padding: 20px 10px; 
}
}